#!/bin/bash 

rrdtool graph web/gas_1tag.png -s 'now - 1 day' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conph=consum,3600,* LINE2:conph#c17d11:m³/h 
rrdtool graph web/gas_1week.png -s 'now - 1 week' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpd=consum,3600,*,24,* LINE2:conpd#c17d11:m³/h 
rrdtool graph web/gas_1month.png -s 'now - 1 month' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpd=consum,3600,*,24,* LINE2:conpd#c17d11:m³/h 
rrdtool graph web/gas_1year.png -s 'now - 1 year' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpm=consum,3600,*,24,*,30,* LINE2:conpm#c17d11:m³/h 

rrdtool graph web/gascounter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=gasneu.rrd:counter:LAST   LINE2:counter#000000:"Zählerstand [m³]"
rrdtool graph web/gascounter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=gasneu.rrd:counter:LAST   LINE2:counter#000000:"Zählerstand [m³]"


rrdtool graph web/consum_1day.png   -s 'now -1 day' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
rrdtool graph web/consum_1week.png   -s 'now -1 week' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
rrdtool graph web/consum_1month.png   -s 'now -1 month' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
rrdtool graph web/consum_1year.png   -s 'now -1 year' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"

rrdtool graph web/counter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"Zählerstand [kWh]"
rrdtool graph web/counter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"Zählerstand [kWh]"
